Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1889035 - Cannot build against grass due to missing grass/config.h
Summary: Cannot build against grass due to missing grass/config.h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grass
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: markusN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1878413
TreeView+ depends on / blocked
 
Reported: 2020-10-17 03:07 UTC by Orion Poplawski
Modified: 2020-11-02 01:44 UTC (History)
6 users (show)

Fixed In Version: grass-7.8.4-2.fc33 grass-7.8.4-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:16:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2020-10-17 03:07:11 UTC
Description of problem:

qgis fails to build with:

In file included from /builddir/build/BUILD/qgis-3.12.3/src/providers/grass/qgis.g.info.c:32:
/usr/lib64/grass78/include/grass/gis.h:28:10: fatal error: grass/config.h: No such file or directory
   28 | #include <grass/config.h>
      |          ^~~~~~~~~~~~~~~~

Please re-instate the needed config.h header.

Version-Release number of selected component (if applicable):
7.8.4-1

Comment 1 Fedora Update System 2020-10-17 12:48:17 UTC
FEDORA-2020-8c843e2be7 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c843e2be7

Comment 2 Fedora Update System 2020-10-17 13:17:48 UTC
FEDORA-EPEL-2020-4e4c66a7e4 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4e4c66a7e4

Comment 3 Fedora Update System 2020-10-18 00:02:38 UTC
FEDORA-2020-8c843e2be7 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8c843e2be7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c843e2be7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-10-18 16:06:05 UTC
FEDORA-EPEL-2020-4e4c66a7e4 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4e4c66a7e4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 markusN 2020-10-18 18:38:44 UTC
Sorry for the mess. The needed config.h header has been re-instated (rawhide, F33, EPEL 8).

Comment 6 Orion Poplawski 2020-10-18 21:31:04 UTC
No worries, thanks for the fix.

Comment 7 Fedora Update System 2020-10-23 22:16:16 UTC
FEDORA-2020-8c843e2be7 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-11-02 01:44:02 UTC
FEDORA-EPEL-2020-4e4c66a7e4 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.